Skip to main content
GET
Retrieve

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

contractId
string<uuid>
required

The unique identifier for the the contract

Query Parameters

includeDownloadUrl
boolean
default:false

When true, includes a presigned download URL for the contract PDF (valid for 15 minutes)

Response

retrieve contract response

id
string<uuid>
Example:

"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"

templateId
string<uuid>
Example:

"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"

status
string
Example:

"completed"

personId
string<uuid>
Example:

"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"

name
string
Example:

"Edward Petersen - Standard Global Contractor Agreement"

signatures
object[]
createdAt
integer
Example:

1689759850

customContractAttached
boolean
Example:

false

downloadUrl
string

Presigned S3 download URL for the contract PDF. Only included when includeDownloadUrl=true.

Example:

"https://storage.example.com/contracts/d52e4a13-7b6f-4c8d-a9e1-2f3b5c7d8e9a.pdf?token=abc123&expires=900"

downloadUrlExpiresAt
integer

Epoch timestamp when the download URL expires. Only included when includeDownloadUrl=true.

Example:

1689760750